
_interrupt:

;XTAL_TEST.mbas,34 :: 		sub procedure interrupt
;XTAL_TEST.mbas,35 :: 		if Timer2_overflowed then
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L__interrupt2
;XTAL_TEST.mbas,36 :: 		Timer2_overflowed = false
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;XTAL_TEST.mbas,37 :: 		val1 = not val1
	COMF       _val1+0, 0
	MOVWF      R0
	MOVF       R0, 0
	MOVWF      _val1+0
;XTAL_TEST.mbas,38 :: 		LED1_PORT = val1
	BTFSC      R0, 0
	GOTO       L__interrupt12
	BCF        LATB4_bit+0, BitPos(LATB4_bit+0)
	GOTO       L__interrupt13
L__interrupt12:
	BSF        LATB4_bit+0, BitPos(LATB4_bit+0)
L__interrupt13:
L__interrupt2:
;XTAL_TEST.mbas,40 :: 		end sub
L_end_interrupt:
L__interrupt11:
	RETFIE     %s
; end of _interrupt

_main:

;XTAL_TEST.mbas,45 :: 		main:
;XTAL_TEST.mbas,47 :: 		Timer2_interrupt_enable    = FALSE
	BCF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;XTAL_TEST.mbas,48 :: 		Timer2_enable              = TRUE
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
;XTAL_TEST.mbas,49 :: 		Timer2_period_register     = 124
	MOVLW      124
	MOVWF      PR2+0
;XTAL_TEST.mbas,50 :: 		Timer2_prescale_bit0       = 0   ' prescale is 1:4
	BCF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
;XTAL_TEST.mbas,51 :: 		Timer2_prescale_bit1       = 0
	BCF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
;XTAL_TEST.mbas,52 :: 		Timer2_postscale_bit0      = 0   ' postscaler 1:1
	BCF        T2OUTPS0_bit+0, BitPos(T2OUTPS0_bit+0)
;XTAL_TEST.mbas,53 :: 		Timer2_postscale_bit1      = 0
	BCF        T2OUTPS1_bit+0, BitPos(T2OUTPS1_bit+0)
;XTAL_TEST.mbas,54 :: 		Timer2_postscale_bit2      = 0
	BCF        T2OUTPS2_bit+0, BitPos(T2OUTPS2_bit+0)
;XTAL_TEST.mbas,55 :: 		Timer2_postscale_bit3      = 0
	BCF        T2OUTPS3_bit+0, BitPos(T2OUTPS3_bit+0)
;XTAL_TEST.mbas,57 :: 		ANSELA = 0x0  ' PORT A Digital I/O
	CLRF       ANSELA+0
;XTAL_TEST.mbas,58 :: 		ANSELC = 0x0  ' PORT C Digital I/O
	CLRF       ANSELC+0
;XTAL_TEST.mbas,60 :: 		LED1_TRIS = PORT_OUTPUT
	BCF        TRISB4_bit+0, BitPos(TRISB4_bit+0)
;XTAL_TEST.mbas,61 :: 		LED1_PORT = 0
	BCF        LATB4_bit+0, BitPos(LATB4_bit+0)
;XTAL_TEST.mbas,62 :: 		Timer2_interrupt_enable = true
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;XTAL_TEST.mbas,63 :: 		peripheral_interrupt_enable = true
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;XTAL_TEST.mbas,64 :: 		interrupt_enable = true
	BSF        GIE_bit+0, BitPos(GIE_bit+0)
;XTAL_TEST.mbas,66 :: 		while( true)
L__main6:
	GOTO       L__main6
;XTAL_TEST.mbas,67 :: 		wend
L_end_main:
	GOTO       $+0
; end of _main
